# vim: set filetype=sh:
# log users
logfile_owning_user "mysql"
logfile_owning_user "openvpn"
# dedicated user accounts
file_owning_user "cron" "/var/spool/cron"
directory "cron" "/var/spool/cron" "0755"
directory "cron" "/var/spool/cron/tmp" "0700"
directory "cron" "/var/spool/cron/crontabs" "0700"
# user VT users and groups
user_vt_user "emulator"
user_vt_user "multiplexor"
user_vt_user "input-method"
user_vt_group "realizer"
# non-log users
non_file_owning_user "LCDd"
non_file_owning_user "klogd"
non_file_owning_user "syslogd"
non_file_owning_user "dnscache-d"
non_file_owning_user "tinydns-d"
non_file_owning_user "taiclock-d"
non_file_owning_user "openvpn-otp"
# common targets, services, and sockets
service_with_dedicated_logger "LCDd"
service_with_dedicated_logger "ModemManager"
service_with_dedicated_logger "NetworkManager"
service_with_dedicated_logger "NetworkManager-dispatcher"
service_with_dedicated_logger "accounts-daemon"
service_with_dedicated_logger "apache2"
service_with_dedicated_logger "apacheds"
service_with_dedicated_logger "avahi-dnsconfd"
service_with_dedicated_logger "bcron-start"
service_with_dedicated_logger "bcron-update"
service_with_dedicated_logger "bootparams"
service_with_dedicated_logger "bluetooth"
service_with_dedicated_logger "blueman-mechanism"
service_with_dedicated_logger "caddy"
service_with_dedicated_logger "ccpd"
service_with_dedicated_logger "celery@example"
service_with_dedicated_logger "celery-beat"
service_with_dedicated_logger "chrony"
service_with_dedicated_logger "cleanX"
service_with_dedicated_logger "cleantmp"
service_with_dedicated_logger "cleanuucp"
service_with_dedicated_logger "clickhouse-server"
service_with_dedicated_logger "colord"
service_with_dedicated_logger "console-kit-daemon"
service_with_dedicated_logger "convert_varrun"
service_with_dedicated_logger "cups-browsed"
service_with_dedicated_logger "darkice"
service_with_dedicated_logger "ddclient"
service_with_dedicated_logger "debian-cron"
service_with_dedicated_logger "deluge-web"
service_with_dedicated_logger "deluged"
service_with_dedicated_logger "dnscache"
service_with_dedicated_logger "dovecot"
service_with_dedicated_logger "elasticsearch"
service_with_dedicated_logger "entropy"
service_with_dedicated_logger "exim4-queue"
service_with_dedicated_logger "fail2ban"
service_with_dedicated_logger "fam"
service_with_dedicated_logger "fancontrol"
service_with_dedicated_logger "fcron"
service_with_dedicated_logger "ferm"
service_with_dedicated_logger "ffserver"
service_with_dedicated_logger "flow-capture"
service_with_dedicated_logger "freshclam"
service_with_dedicated_logger "fscd"
service_with_dedicated_logger "fwknopd"
service_with_dedicated_logger "gdm"
service_with_dedicated_logger "gdm3"
service_with_dedicated_logger "gdomap"
service_with_dedicated_logger "genkdmconf"
service_with_dedicated_logger "geoclue"
service_with_dedicated_logger "gitlab-sidekiq"
service_with_dedicated_logger "gitlab-unicorn"
service_with_dedicated_logger "gogs"
service_with_dedicated_logger "gssd"
service_with_dedicated_logger "hostapd"
service_with_dedicated_logger "hostnamed"
service_with_dedicated_logger "hue"
service_with_dedicated_logger "jenkins"
service_with_dedicated_logger "kamailio"
service_with_dedicated_logger "kdm"
service_with_dedicated_logger "keepalived"
service_with_dedicated_logger "kmod@vboxadd"
service_with_dedicated_logger "kmod@vboxguest"
service_with_dedicated_logger "kmod@vboxsf"
service_with_dedicated_logger "kmod@vboxvideo"
service_with_dedicated_logger "kmod@vboxdrv"
service_with_dedicated_logger "kmod@vboxnetadp"
service_with_dedicated_logger "kmod@vboxnetflt"
service_with_dedicated_logger "kmod@vboxpci"
service_with_dedicated_logger "libvirtd"
service_with_dedicated_logger "lm-sensors"
service_with_dedicated_logger "localed"
service_with_dedicated_logger "lxdm"
service_with_dedicated_logger "mailcatcher"
service_with_dedicated_logger "minissdpd"
service_with_dedicated_logger "miredo"
service_with_dedicated_logger "miredo-server"
service_with_dedicated_logger "mogilefsd"
service_with_dedicated_logger "mogstored"
service_with_dedicated_logger "mongodb"
service_with_dedicated_logger "motd-dynamic"
service_with_dedicated_logger "moused"
service_with_dedicated_logger "mountd"
service_with_dedicated_logger "nagios"
service_with_dedicated_logger "network-interfaces"
service_with_dedicated_logger "network-runtime"
service_with_dedicated_logger "nfsd"
service_with_dedicated_logger "nginx"
service_with_dedicated_logger "nisdomain"
service_with_dedicated_logger "nmbd"
service_with_dedicated_logger "nscd"
service_with_dedicated_logger "ntpd"
service_with_dedicated_logger "ntpdate"
service_with_dedicated_logger "openntpd"
service_with_dedicated_logger "opentsdb"
service_with_dedicated_logger "org.cups.cups-cancel"
service_with_dedicated_logger "org.cups.cupsd"
service_with_dedicated_logger "ossec@agentd"
service_with_dedicated_logger "ossec@agentlessd"
service_with_dedicated_logger "ossec@analysisd"
service_with_dedicated_logger "ossec@csyslogd"
service_with_dedicated_logger "ossec@dbd"
service_with_dedicated_logger "ossec@execd"
service_with_dedicated_logger "ossec@logcollector"
service_with_dedicated_logger "ossec@maild"
service_with_dedicated_logger "ossec@monitord"
service_with_dedicated_logger "ossec@remoted"
service_with_dedicated_logger "ossec@syscheckd"
service_with_dedicated_logger "owfs"
service_with_dedicated_logger "owftpd"
service_with_dedicated_logger "owhttpd"
service_with_dedicated_logger "owserver"
service_with_dedicated_logger "packagekit"
service_with_dedicated_logger "pcdm"
service_with_dedicated_logger "pcscd"
service_with_dedicated_logger "pdnsd"
service_with_dedicated_logger "plexmediaserver"
service_with_dedicated_logger "polipo"
service_with_dedicated_logger "polkitd"
service_with_dedicated_logger "postgresql"
service_with_dedicated_logger "postgrey"
service_with_dedicated_logger "powerd"
service_with_dedicated_logger "powerd++"
service_with_dedicated_logger "pppd-dns"
service_with_dedicated_logger "pulseaudio"
service_with_dedicated_logger "qmail-send"
service_with_dedicated_logger "rabbitmq-server"
service_with_dedicated_logger "rc-local"
service_with_dedicated_logger "redis-runtime"
service_with_dedicated_logger "redis-sentinel"
service_with_dedicated_logger "redis-server"
service_with_dedicated_logger "rtadvd"
service_with_dedicated_logger "rtkit-daemon"
service_with_dedicated_logger "salt-api"
service_with_dedicated_logger "salt-master"
service_with_dedicated_logger "salt-minion"
service_with_dedicated_logger "salt-syndic"
service_with_dedicated_logger "samba"
service_with_dedicated_logger "saslauthd"
service_with_dedicated_logger "sendmail-relay-queue"
service_with_dedicated_logger "sendmail-submission-queue"
service_with_dedicated_logger "sickbeard"
service_with_dedicated_logger "slapd"
service_with_dedicated_logger "slim"
service_with_dedicated_logger "slurpd"
service_with_dedicated_logger "smartd"
service_with_dedicated_logger "smbd"
service_with_dedicated_logger "speech-dispatcher"
service_with_dedicated_logger "sshdgenkeys"
service_with_dedicated_logger "stunnel"
service_with_dedicated_logger "swift@account"
service_with_dedicated_logger "swift@account-auditor"
service_with_dedicated_logger "swift@account-replicator"
service_with_dedicated_logger "swift@account-updater"
service_with_dedicated_logger "swift@container"
service_with_dedicated_logger "swift@container-auditor"
service_with_dedicated_logger "swift@container-replicator"
service_with_dedicated_logger "swift@container-updater"
service_with_dedicated_logger "swift@object"
service_with_dedicated_logger "swift@object-auditor"
service_with_dedicated_logger "swift@object-replicator"
service_with_dedicated_logger "swift@object-updater"
service_with_dedicated_logger "sysctl"
service_with_dedicated_logger "taiclock"
service_with_dedicated_logger "tcsd"
service_with_dedicated_logger "timedated"
service_with_dedicated_logger "tinydns"
service_with_dedicated_logger "tinysshd-makekey"
service_with_dedicated_logger "tor"
service_with_dedicated_logger "unbound"
service_with_dedicated_logger "upower"
service_with_dedicated_logger "utx"
service_with_dedicated_logger "virecover"
service_with_dedicated_logger "vnstat"
service_with_dedicated_logger "volmand"
service_with_dedicated_logger "wicd"
service_with_dedicated_logger "winbindd"
service_with_dedicated_logger "wpa_supplicant"
service_with_dedicated_logger "wso2server"
service_with_dedicated_logger "xdm"
service_with_dedicated_logger "ypbind"
socket_with_dedicated_logger "avahi-daemon"
socket_with_dedicated_logger "axfrdns"
socket_with_dedicated_logger "bcron-spool"
socket_with_dedicated_logger "clamav"
socket_with_dedicated_logger "dbus"
socket_with_dedicated_logger "dbus-daemon"
socket_with_dedicated_logger "epmd"
socket_with_dedicated_logger "exim4-smtp-relay"
socket_with_dedicated_logger "exim4-smtp-submission"
socket_with_dedicated_logger "fcgiwrap"
socket_with_dedicated_logger "ftp4d"
socket_with_dedicated_logger "ftp6d"
socket_with_dedicated_logger "git-daemon"
socket_with_dedicated_logger "gopher6d"
socket_with_dedicated_logger "http6d"
socket_with_dedicated_logger "https6d"
socket_with_dedicated_logger "initctld"
socket_with_dedicated_logger "kadmind"
socket_with_dedicated_logger "klogd"
socket_with_dedicated_logger "kpasswdd"
socket_with_dedicated_logger "local-rsyslogd"
socket_with_dedicated_logger "local-syslog-read"
socket_with_dedicated_logger "local-syslogd"
socket_with_dedicated_logger "mpd"
socket_with_dedicated_logger "nagios-nrpe-server"
socket_with_dedicated_logger "opal-prd"
socket_with_dedicated_logger "org.cups.cups-lpd"
socket_with_dedicated_logger "qmail-smtp-relay"
socket_with_dedicated_logger "qmail-smtp-submission"
socket_with_dedicated_logger "rpcbind"
socket_with_dedicated_logger "rsync"
socket_with_dedicated_logger "saned"
socket_with_dedicated_logger "sendmail-smtp-relay"
socket_with_dedicated_logger "sendmail-smtp-submission"
socket_with_dedicated_logger "sshd"
socket_with_dedicated_logger "svnserve"
socket_with_dedicated_logger "tinysshd"
socket_with_dedicated_logger "udp-rsyslogd"
socket_with_dedicated_logger "udp-syslog-read"
socket_with_dedicated_logger "udp-syslogd"
socket_with_dedicated_logger "uuidd"
socket_with_dedicated_logger "uwsgi-emperor"
socket_with_dedicated_logger "vsftpd"
timer_with_dedicated_logger "anacron"
timer_with_dedicated_logger "phpsessionclean"
fan_in_logger "sysinit"
service_only "dmesg"
service_only "hostname"
service_only "machine-id"
service_only_no_run "emergency-login@console"
service_only "monitor-fsck-progress"
fan_in_logger "ataidle"
fan_in_logger "autobridge"
fan_in_logger "dhclient"
fan_in_logger "dhcpcd"
fan_in_logger "ifconfig"
fan_in_logger "natd"
fan_in_logger "rfcomm_pppd"
fan_in_logger "snort"
fan_in_logger "sppp"
fan_in_logger "system-installer"
fan_in_logger "ppp"
fan_in_logger "udhcpc"
fan_in_logger "webcamd"
target "appcafe"
target "basic"
target "dumpauto"
target "extra-shared-libraries"
target "finish-install"
target "finish-update"
target "frame-buffer"
target "fs-servers"
target "graphics"
target "halt"
target "local-fs"
target "local-fs-pre"
target "local-syslog"
target "multi-user"
target "multi-user-pre"
target "name-services"
target "normal"
target "powercycle"
target "poweroff"
target "reboot"
target "reboot-after-install"
target "reboot-after-update"
target "remote-fs"
target "remote-fs-pre"
target "server"
target "shutdown"
target "static-networking"
target "swapauto"
target "swaplate"
target "sysinit"
target "unmount"
target "users"
target "virtualbox-guest"
target "virtualbox-host"
target "workstation"
# user-mode TTYs and ancillaries
user_tty "vc1-tty"
user_tty "vc2-tty"
user_tty "vc3-tty"
service_with_dedicated_logger "terminal-emulator@vc1"
service_with_dedicated_logger "terminal-emulator@vc2"
service_with_dedicated_logger "terminal-emulator@vc3"
login_service_with_dedicated_logger "vc1-tty"
login_service_with_dedicated_logger "vc2-tty"
login_service_with_dedicated_logger "vc3-tty"
service_with_dedicated_logger "console-input-method@head0"
service_with_dedicated_logger "console-multiplexor@head0"
service_with_dedicated_logger "console-fb-realizer@head0"
# Linux-specific services and sockets
service_with_dedicated_logger "alsa-restore"
service_with_dedicated_logger "alsa-state"
service_with_dedicated_logger "atd"
service_with_dedicated_logger "cgmanager"
service_with_dedicated_logger "cgproxy"
service_with_dedicated_logger "cntlm"
service_with_dedicated_logger "colord-sane"
service_with_dedicated_logger "connman"
service_with_dedicated_logger "dundee"
service_with_dedicated_logger "irqbalance"
service_with_dedicated_logger "kernel-vt-kbdrate"
service_with_dedicated_logger "kernel-vt-loadkeys"
service_with_dedicated_logger "kernel-vt-setfont"
service_with_dedicated_logger "kernel-vt-setterm"
service_with_dedicated_logger "kerneloops"
service_with_dedicated_logger "kmod"
service_with_dedicated_logger "kmod@ipv6"
service_with_dedicated_logger "kmod@loop"
service_with_dedicated_logger "kmod@lp"
service_with_dedicated_logger "kmod@parport_pc"
service_with_dedicated_logger "kmod@ppdev"
service_with_dedicated_logger "kmod@sg"
service_with_dedicated_logger "kmod@unix"
service_with_dedicated_logger "kmod@uvesafb"
service_with_dedicated_logger "mdadm"
service_with_dedicated_logger "minidlna"
service_with_dedicated_logger "ndppd"
service_with_dedicated_logger "nft"
service_with_dedicated_logger "ofono"
service_with_dedicated_logger "pommed"
service_with_dedicated_logger "powertop"
service_with_dedicated_logger "sysstat"
service_with_dedicated_logger "systemd-hostnamed"
service_with_dedicated_logger "systemd-localed"
service_with_dedicated_logger "systemd-logind"
service_with_dedicated_logger "systemd-timesyncd"
service_with_dedicated_logger "ttylogin-starter"
service_with_dedicated_logger "udisks"
service_with_dedicated_logger "udisks2"
service_with_dedicated_logger "unattended-upgrade-shutdown"
service_with_dedicated_logger "update-binfmts"
service_with_dedicated_logger "wettsteinsyslogd"
ktty_login_service_with_dedicated_logger "1"
ktty_login_service_with_dedicated_logger "2"
ktty_login_service_with_dedicated_logger "3"
ktty_login_service_with_dedicated_logger "4"
ktty_login_service_with_dedicated_logger "5"
ktty_login_service_with_dedicated_logger "6"
ktty_login_service_with_dedicated_logger "7"
ktty_login_service_with_dedicated_logger "8"
ktty_login_service_with_dedicated_logger "9"
ktty_login_service_with_dedicated_logger "10"
ktty_login_service_with_dedicated_logger "11"
ktty_login_service_with_dedicated_logger "12"
socket_with_dedicated_logger "acpid"
socket_with_dedicated_logger "dbus-broker"
socket_with_dedicated_logger "gpsd"
socket_with_dedicated_logger "kpropd"
socket_with_dedicated_logger "lircd"
socket_with_dedicated_logger "systemd-syslog-read"
socket_with_dedicated_logger "systemd-rsyslogd"
socket_with_dedicated_logger "systemd-syslogd"
socket_with_dedicated_logger "systemd-syslog-read"
socket_with_dedicated_logger "systemd-rsyslogd"
socket_with_dedicated_logger "systemd-syslogd"
timer_with_dedicated_logger "apt-daily-update"
timer_with_dedicated_logger "apt-daily-upgrade"
service_only "dmraid"
service_only "kmod@efivarfs"
service_only "kmod@autofs"
service_only "kmod@fuse"
service_only "linux-lockfiles"
service_only "lvm"
fan_in_logger "systemd-udev"
service_only "systemd-udev"
service_only "systemd-udev-trigger-add@subsystems"
service_only "systemd-udev-trigger-add@devices"
fan_in_logger "udev"
service_only "udev"
service_only "udev-finish"
service_only "udev-settle"
service_only "udev-trigger-add@subsystems"
service_only "udev-trigger-add@devices"
fan_in_logger "busybox-mdev"
service_only "busybox-mdev"
service_only "busybox-mdev-rescan"
fan_in_logger "suckless-mdev"
service_only "suckless-mdev"
service_only "suckless-mdev-rescan"
fan_in_logger "vdev"
service_only "vdev"
